summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJoerg Bornkessel <hd_brummy@gentoo.org>2021-02-11 17:55:00 +0100
committerJoerg Bornkessel <hd_brummy@gentoo.org>2021-02-11 18:20:19 +0100
commit3f50eab87a6bef5bc45fc1754f35db7b769bcdba (patch)
treee3eb28b6ecdf6b8da41957b03174371ba4ec8e91
parentapp-benchmarks/stress-ng: backport newer glibc ustat.h fix (diff)
downloadgentoo-3f50eab87a6bef5bc45fc1754f35db7b769bcdba.tar.gz
gentoo-3f50eab87a6bef5bc45fc1754f35db7b769bcdba.tar.bz2
gentoo-3f50eab87a6bef5bc45fc1754f35db7b769bcdba.zip
media-video/vdr: version bump
temp droped use-flag permashift, pinplugin as we do not have a addopted patch from plugins upstream yet Package-Manager: Portage-3.0.14, Repoman-3.0.2 Signed-off-by: Joerg Bornkessel <hd_brummy@gentoo.org>
-rw-r--r--media-video/vdr/Manifest2
-rw-r--r--media-video/vdr/files/vdr-2.4.6_gentoo.patch66
-rw-r--r--media-video/vdr/files/vdr-2.4.6_makefile-variables.patch40
-rw-r--r--media-video/vdr/files/vdr-2.4.6_remove_plugins.patch24
-rw-r--r--media-video/vdr/vdr-2.4.6.ebuild202
5 files changed, 334 insertions, 0 deletions
diff --git a/media-video/vdr/Manifest b/media-video/vdr/Manifest
index 715cb3e5d65..43de58b6f2e 100644
--- a/media-video/vdr/Manifest
+++ b/media-video/vdr/Manifest
@@ -6,4 +6,6 @@ DIST vdr-2.4.0-ttxtsubs.patch.bz2 16721 BLAKE2B d5c3da713cd82ed8c3baccd1336d2834
DIST vdr-2.4.1.tar.bz2 940623 BLAKE2B 6fa7858e1c0fc25d3332d20347b30515276fc2b54905f32109dfa7f59e4e0c8a83687be405fac063a673c89d77e191f62162b1bd0ed6ee179d32a27f73076fb3 SHA512 b851ebf626de1a6aea11ee9c0cd87d78ebebdc34128925d2027a7030db1262064edb8818566a87ce22d37a9bd2b4f0b4ff1aad8dd251061d9ff972ffe0cf022d
DIST vdr-2.4.1_mainmenuhook-1.0.1.patch.bz2 1463 BLAKE2B 2be3597a273a92d02be0d072e3d74b39275cbbe17d22e570f416d42c46b53f43209498e569142a2cc357e5f7176d2454cb2a86d0822b29cca913eab2ae9cc27f SHA512 9d3eb501fa06ff5b03361ef65c8ddeeba5f37493cc0edc2d4f54e200e48e17607957fa95bd1540f028bc9a98ad6f42b4d38cf79e9ce971de36bed30def108759
DIST vdr-2.4.1_pinplugin.patch.bz2 8641 BLAKE2B 339bb23ed0f505087bdbbefb192824d5def37bb00c4d5dc300f545c7951f11504115d058c157d1964f5f32e483e668675e13254465b5acce76cfdcf07faae216 SHA512 f402fa51314ad6c34439f71b7cb81e1ca51e0fa3b120a1fdaee119c2dd1b13174db2e666bf5e6204aa28e4acef8f6bd6e3ab8324793c3484eafb16dc8cf808d5
+DIST vdr-2.4.6.tar.bz2 951272 BLAKE2B 52e92eb7e5fdc9bb9209cbef61f8db47e2e9a4750c75bc5b4f88069f95e54faac6b1af5b4c77a6a53990d8f083b6ff8ddeb33418386081c128617217129374fd SHA512 bed8b7740a97b681cf4273c01b6ce80046c1e5914c06d12cffc46fdca615331d0e97771ec09697cf72897583fcf272d83b6bf188ef476715cd0c0c5fd4c5e9d4
+DIST vdr-2.4.6_ttxtsubs.patch.bz2 14964 BLAKE2B b07e26077fe5af02df00b3580031615390ba6b3ea1c5a6e9c91f5e6d1964da7114e0ad939a9e4de640a97f5a887c45f6c8b5793a4da9341c7c238993a997c87c SHA512 cd60496b4a8a2dbed209dcf6645c0a6886091c5d5fca791a5ff3ec9fdf7f6c3f2c9a99976636aa985257b9baef10439e75f844f58f3f0a25d5ebcd361ec552ae
DIST vdr-menuorg-2.3.x.diff 8852 BLAKE2B 19b98d51a69f52ecda5500f51ef1741a8397953b20c490055eab0393da5f56ff9598c3e1e8ed8b915f5877e08deeb9ba7a9ef8d9356ad3a1fa12e3778869174a SHA512 7b41c3a529858a4953a57f21619ea01864e140cc1755ee0b03caf1c4de41e80c3f805653502bc8d39d02a4dfcddf720acd4a8c8bd91f4871eef31d86e8e915c0
diff --git a/media-video/vdr/files/vdr-2.4.6_gentoo.patch b/media-video/vdr/files/vdr-2.4.6_gentoo.patch
new file mode 100644
index 00000000000..6ecd2ccfd43
--- /dev/null
+++ b/media-video/vdr/files/vdr-2.4.6_gentoo.patch
@@ -0,0 +1,66 @@
+this patch will disable some handling in the core Makefile
+as we use for Linux FHS a different handling in gentoo
+demoplugins from core vdr install disabled
+support from Linguas variable
+
+Signed-off-by: Joerg Bornkessel <hd_brummy@gentoo.org> 2021/Feb/11
+diff -Naur vdr-2.4.6.orig/Makefile vdr-2.4.6/Makefile
+--- vdr-2.4.6.orig/Makefile 2020-06-27 11:13:04.000000000 +0200
++++ vdr-2.4.6/Makefile 2020-08-08 18:16:02.519719542 +0200
+@@ -193,7 +193,7 @@
+
+ PODIR = po
+ LOCALEDIR = locale
+-I18Npo = $(wildcard $(PODIR)/*.po)
++I18Npo = $(foreach dir,$(LINGUAS),$(wildcard $(PODIR)/$(dir)*.po))
+ I18Nmo = $(addsuffix .mo, $(foreach file, $(I18Npo), $(basename $(file))))
+ I18Nmsgs = $(addprefix $(LOCALEDIR)/, $(addsuffix /LC_MESSAGES/vdr.mo, $(notdir $(foreach file, $(I18Npo), $(basename $(file))))))
+ I18Npot = $(PODIR)/vdr.pot
+@@ -220,7 +220,7 @@
+
+ install-i18n: i18n
+ @mkdir -p $(DESTDIR)$(LOCDIR)
+- cp -r $(LOCALEDIR)/* $(DESTDIR)$(LOCDIR)
++ @(cd $(LOCALEDIR); for linguas in $(LINGUAS); do [ "$$linguas" = "en" ] && continue; cp -r --parents $$linguas* $(DESTDIR)$(LOCDIR); done)
+
+ # The 'include' directory (for plugins):
+
+@@ -294,12 +294,11 @@
+
+ install-dirs:
+ @mkdir -p $(DESTDIR)$(VIDEODIR)
+- @mkdir -p $(DESTDIR)$(CONFDIR)
+ @mkdir -p $(DESTDIR)$(ARGSDIR)
+- @mkdir -p $(DESTDIR)$(CACHEDIR)
+ @mkdir -p $(DESTDIR)$(RESDIR)
+
+ install-conf: install-dirs
++ @mkdir -p $(DESTDIR)$(CONFDIR)
+ @cp -pn *.conf $(DESTDIR)$(CONFDIR)
+
+ # Documentation:
+@@ -307,9 +306,9 @@
+ install-doc:
+ @mkdir -p $(DESTDIR)$(MANDIR)/man1
+ @mkdir -p $(DESTDIR)$(MANDIR)/man5
+- @gzip -c vdr.1 > $(DESTDIR)$(MANDIR)/man1/vdr.1.gz
+- @gzip -c vdr.5 > $(DESTDIR)$(MANDIR)/man5/vdr.5.gz
+- @gzip -c svdrpsend.1 > $(DESTDIR)$(MANDIR)/man1/svdrpsend.1.gz
++ @cp vdr.1 $(DESTDIR)$(MANDIR)/man1/
++ @cp vdr.5 $(DESTDIR)$(MANDIR)/man5/
++ @cp svdrpsend.1 $(DESTDIR)$(MANDIR)/man1/
+
+ # Plugins:
+
+@@ -326,8 +325,9 @@
+ # Includes:
+
+ install-includes: include-dir
+- @mkdir -p $(DESTDIR)$(INCDIR)
+- @cp -pLR include/vdr include/libsi $(DESTDIR)$(INCDIR)
++ @mkdir -p $(DESTDIR)$(INCDIR)/vdr $(DESTDIR)$(INCDIR)/vdr/libsi
++ @cp -pLR include/vdr $(DESTDIR)$(INCDIR)
++ @cp -pLR include/libsi Make.config $(DESTDIR)$(INCDIR)/vdr
+
+ # pkg-config file:
+
diff --git a/media-video/vdr/files/vdr-2.4.6_makefile-variables.patch b/media-video/vdr/files/vdr-2.4.6_makefile-variables.patch
new file mode 100644
index 00000000000..0731b91443c
--- /dev/null
+++ b/media-video/vdr/files/vdr-2.4.6_makefile-variables.patch
@@ -0,0 +1,40 @@
+we change some variables in the Makefile
+for a better handling in gentoo ebuild
+
+Signed-off-by: Joerg Bornkessel <hd_brummy@gentoo.org> 2021/Feb/11
+diff -Naur vdr-2.4.6.orig/Makefile vdr-2.4.6/Makefile
+--- vdr-2.4.6.orig/Makefile 2020-06-27 11:13:04.000000000 +0200
++++ vdr-2.4.6/Makefile 2020-08-08 18:16:02.519719542 +0200
+@@ -65,7 +65,7 @@
+
+ # Output control
+
+-ifdef VERBOSE
++ifeq ($(VERBOSE),1)
+ Q =
+ else
+ Q = @
+@@ -100,7 +100,7 @@
+ ifdef HDRDIR
+ HDRDIR := -I$(HDRDIR)
+ endif
+-ifndef NO_KBD
++ifeq ($(USE_KBD),1)
+ DEFINES += -DREMOTE_KBD
+ endif
+ ifdef REMOTE
+@@ -109,12 +109,12 @@
+ ifdef VDR_USER
+ DEFINES += -DVDR_USER=\"$(VDR_USER)\"
+ endif
+-ifdef BIDI
++ifeq ($(BIDI),1)
+ INCLUDES += $(shell $(PKG_CONFIG) --cflags fribidi)
+ DEFINES += -DBIDI
+ LIBS += $(shell $(PKG_CONFIG) --libs fribidi)
+ endif
+-ifdef SDNOTIFY
++ifeq ($(SDNOTIFY),1)
+ INCLUDES += $(shell $(PKG_CONFIG) --silence-errors --cflags libsystemd-daemon || $(PKG_CONFIG) --cflags libsystemd)
+ DEFINES += -DSDNOTIFY
+ LIBS += $(shell $(PKG_CONFIG) --silence-errors --libs libsystemd-daemon || $(PKG_CONFIG) --libs libsystemd)
diff --git a/media-video/vdr/files/vdr-2.4.6_remove_plugins.patch b/media-video/vdr/files/vdr-2.4.6_remove_plugins.patch
new file mode 100644
index 00000000000..d2571ea687c
--- /dev/null
+++ b/media-video/vdr/files/vdr-2.4.6_remove_plugins.patch
@@ -0,0 +1,24 @@
+we do not install any plugins from core vdr
+
+Signed-off-by: Joerg Bornkessel <hd_brummy@gentoo.org> 2021/Feb/11
+diff -Naur vdr-2.4.6.orig/Makefile vdr-2.4.6/Makefile
+--- vdr-2.4.6.orig/Makefile 2020-06-27 11:13:04.000000000 +0200
++++ vdr-2.4.6/Makefile 2020-08-08 18:16:02.519719542 +0200
+@@ -136,7 +136,7 @@
+ VDRVERSION = $(shell sed -ne '/define VDRVERSION/s/^.*"\(.*\)".*$$/\1/p' config.h)
+ APIVERSION = $(shell sed -ne '/define APIVERSION/s/^.*"\(.*\)".*$$/\1/p' config.h)
+
+-all: vdr i18n plugins
++all: vdr i18n
+
+ # Implicit rules:
+
+@@ -282,7 +282,7 @@
+
+ # Install the files (note that 'install-pc' must be first!):
+
+-install: install-pc install-bin install-conf install-doc install-plugins install-i18n install-includes
++install: install-pc install-bin install-conf install-doc install-i18n install-includes
+
+ # VDR binary:
+
diff --git a/media-video/vdr/vdr-2.4.6.ebuild b/media-video/vdr/vdr-2.4.6.ebuild
new file mode 100644
index 00000000000..b8ba1b702c6
--- /dev/null
+++ b/media-video/vdr/vdr-2.4.6.ebuild
@@ -0,0 +1,202 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit flag-o-matic multilib toolchain-funcs
+
+DESCRIPTION="Video Disk Recorder - turns a pc into a powerful set top box for DVB"
+HOMEPAGE="http://www.tvdr.de/"
+SRC_URI="ftp://ftp.tvdr.de/vdr/${P}.tar.bz2
+ mainmenuhooks? ( http://vdr.websitec.de/download/${PN}/${PN}-2.4.1/${PN}-2.4.1_mainmenuhook-1.0.1.patch.bz2 )
+ menuorg? ( https://projects.vdr-developer.org/projects/plg-menuorg/repository/revisions/master/raw/vdr-patch/vdr-menuorg-2.3.x.diff )
+ naludump? ( http://www.udo-richter.de/vdr/files/vdr-2.1.5-naludump-0.1.diff )
+ ttxtsubs? ( http://vdr.websitec.de/download/${PN}/${P}/${P}_ttxtsubs.patch.bz2 )"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~x86"
+IUSE="bidi debug demoplugins html keyboard mainmenuhooks menuorg naludump systemd ttxtsubs verbose"
+# use-flag permashift, pinplugin tmp droped
+COMMON_DEPEND="
+ virtual/jpeg:*
+ sys-libs/libcap
+ >=media-libs/fontconfig-2.4.2
+ >=media-libs/freetype-2"
+DEPEND="${COMMON_DEPEND}
+ >=virtual/linuxtv-dvb-headers-5.3"
+RDEPEND="${COMMON_DEPEND}
+ dev-lang/perl
+ media-tv/gentoo-vdr-scripts
+ media-fonts/corefonts
+ bidi? ( dev-libs/fribidi )
+ systemd? ( sys-apps/systemd )"
+BDEPEND="sys-devel/gettext"
+
+# permashift, pinplugin tmp droped
+#REQUIRED_USE="pinplugin? ( !mainmenuhooks )"
+# permashift? ( !naludump !pinplugin )"
+
+CONF_DIR="/etc/vdr"
+CAP_FILE="${S}/capabilities.sh"
+CAPS="# Capabilities of the vdr-executable for use by startscript etc."
+
+pkg_setup() {
+ use debug && append-flags -g
+
+ PLUGIN_LIBDIR="/usr/$(get_libdir)/vdr/plugins"
+
+ # use the corrected DIR /var/lib/vdr/* for acct/{user,group) handling
+ if has_version ">=media-tv/gentoo-vdr-scripts-3.0_rc1"; then
+ VIDEO_DIR="/var/lib/vdr/video"
+ else
+ VIDEO_DIR="/var/vdr/video"
+ fi
+
+ tc-export CC CXX AR
+}
+
+add_cap() {
+ local arg
+ for arg; do
+ CAPS="${CAPS}\n${arg}=1"
+ done
+}
+
+lang_po() {
+ LING_PO=$( ls ${S}/po | sed -e "s:.po::g" | cut -d_ -f1 | tr \\\012 ' ' )
+}
+
+src_configure() {
+ # support languages, written from right to left
+ export "BIDI=$(usex bidi 1 0)"
+ # systemd notification support
+ export "SDNOTIFY=$(usex systemd 1 0)"
+ # with/without keyboard
+ export "USE_KBD=$(usex keyboard 1 0)"
+ # detailed compile output for debug
+ export "VERBOSE=$(usex verbose 1 0)"
+}
+
+src_prepare() {
+ # apply maintenance-patches
+ ebegin "Changing paths for gentoo"
+
+ local DVBDIR=/usr/include
+ local i
+ for i in ${DVB_HEADER_PATH} /usr/include/v4l-dvb-hg /usr/include; do
+ [[ -d ${i} ]] || continue
+ if [[ -f ${i}/linux/dvb/dmx.h ]]; then
+ einfo "Found DVB header files in ${i}"
+ DVBDIR=${i}
+ break
+ fi
+ done
+
+ # checking for s2api headers
+ local api_version
+ api_version=$(awk -F' ' '/define DVB_API_VERSION / {print $3}' "${DVBDIR}"/linux/dvb/version.h)
+ api_version=${api_version}*$(awk -F' ' '/define DVB_API_VERSION_MINOR / {print $3}' "${DVBDIR}"/linux/dvb/version.h)
+
+ if [[ ${api_version:-0} -lt 5*3 ]]; then
+ eerror "DVB header files do not contain s2api support or too old for ${P}"
+ eerror "You cannot compile VDR against old dvb-header"
+ die "DVB headers too old"
+ fi
+
+ cat > Make.config <<-EOT || die "cannot write to Make.config"
+ #
+ # Generated by ebuild ${PF}
+ #
+ PREFIX = /usr
+ DVBDIR = ${DVBDIR}
+ PLUGINLIBDIR = ${PLUGIN_LIBDIR}
+ CONFDIR = ${CONF_DIR}
+ ARGSDIR = \$(CONFDIR)/conf.d
+ VIDEODIR = ${VIDEO_DIR}
+ LOCDIR = \$(PREFIX)/share/locale
+ INCDIR = \$(PREFIX)/include
+
+ DEFINES += -DCONFDIR=\"\$(CONFDIR)\"
+ INCLUDES += -I\$(DVBDIR)
+
+ # >=vdr-1.7.36-r1; parameter only used for compiletime on vdr
+ # PLUGINLIBDIR (plugin Makefile old) = LIBDIR (plugin Makefile new)
+ LIBDIR = ${PLUGIN_LIBDIR}
+ PCDIR = /usr/$(get_libdir)/pkgconfig
+
+ EOT
+ eend 0
+
+ eapply "${FILESDIR}/${P}_gentoo.patch"
+ use demoplugins || eapply "${FILESDIR}/vdr-2.4_remove_plugins.patch"
+ eapply "${FILESDIR}/${P}_makefile-variables.patch"
+
+ use naludump && eapply "${DISTDIR}/${PN}-2.1.5-naludump-0.1.diff"
+# tmp droped, use permashift && eapply "${DISTDIR}/${PN}-2.4-patch-for-permashift.diff"
+# tmp droped, use pinplugin && eapply "${WORKDIR}/${PN}-2.4.1_pinplugin.patch"
+ use ttxtsubs && eapply "${WORKDIR}/${P}_ttxtsubs.patch"
+ use menuorg && eapply "${DISTDIR}/vdr-menuorg-2.3.x.diff"
+ use mainmenuhooks && eapply "${WORKDIR}/${PN}-2.4.1_mainmenuhook-1.0.1.patch"
+
+ add_cap CAP_UTF8 \
+ CAP_IRCTRL_RUNTIME_PARAM \
+ CAP_VFAT_RUNTIME_PARAM \
+ CAP_CHUID \
+ CAP_SHUTDOWN_AUTO_RETRY
+
+ echo -e ${CAPS} > "${CAP_FILE}" || die "cannot write to CAP_FILE"
+
+ # LINGUAS support
+ einfo "\n \t VDR supports the LINGUAS values"
+
+ lang_po
+
+ einfo "\t Please set one of this values in your sytem make.conf"
+ einfo "\t LINGUAS=\"${LING_PO}\"\n"
+
+ if [[ -z ${LINGUAS} ]]; then
+ einfo "\n \t No values in LINGUAS="
+ einfo "\t You will get only english text on OSD \n"
+ fi
+
+ strip-linguas ${LING_PO} en
+
+ default
+}
+
+src_install() {
+ # trick the makefile to not create a VIDEODIR by supplying it with an
+ # existing directory
+ emake VIDEODIR="/" DESTDIR="${ED}" install
+
+ keepdir "${PLUGIN_LIBDIR}"
+
+ # backup for plugins they don't be able to create this dir
+ keepdir "${CONF_DIR}/plugins"
+
+ if use html; then
+ local HTML_DOCS=( *.html )
+ fi
+ local DOCS=( MANUAL INSTALL README* HISTORY CONTRIBUTORS UPDATE-2* )
+ einstalldocs
+
+ insinto /usr/share/vdr
+ doins "${CAP_FILE}"
+
+ fowners vdr:vdr "${CONF_DIR}" -R
+}
+
+pkg_postinst() {
+ elog "Please read the /usr/share/doc/${PF}/UPDATE-2.4"
+ elog "for major changes in this version\n"
+
+ elog "It is a good idea to run vdrplugin-rebuild now.\n"
+
+ elog "To get nice symbols in OSD we recommend to install"
+ elog "\t1. emerge media-fonts/vdrsymbols-ttf"
+ elog "\t2. select font VDRSymbolsSans in Setup\n"
+
+ elog "To get an idea how to proceed now, have a look at our vdr-guide:"
+ elog "\thttps://wiki.gentoo.org/wiki/VDR"
+}